| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach Struct Reference
Overview

PRACH driver object - global data storage. More...

## Data Fields
XDfePrach_Config | Config
| Configuration data storage. More...
XDfePrach_StateId | StateId
| State machine state Id. More...
s32 | NotUsedCCID [XDFEPRACH_BAND_ID_MAX]
| Storage for 'Not used CCID' value. More...
u32 | SequenceLength [XDFEPRACH_BAND_ID_MAX]
| Sequence length 'storage'. More...
char | NodeName [XDFEPRACH_NODE_NAME_MAX_LENGTH]
| Node name storage. More...
struct metal_io_region * | Io
| Libmetal IO structure. More...
struct metal_device * | Device
| Libmetal device structure. More...

## Detailed Description

PRACH driver object - global data storage.

## Field Documentation

XDfePrach_Config XDfePrach::Config

Configuration data storage.

Referenced by XDfePrach_AddRCtoRCCfgDynamic(), XDfePrach_AddRCtoRCCfgMB(), XDfePrach_AddRCtoRCCfgMBDynamic(), XDfePrach_Configure(), XDfePrach_GetCurrentCCCfg(), XDfePrach_GetEmptyCCCfg(), XDfePrach_GetTriggersCfg(), XDfePrach_Initialize(), XDfePrach_SetNextCfg(), and XDfePrach_SetTriggersCfg().

struct metal_device* XDfePrach::Device

Libmetal device structure.

Referenced by XDfePrach_InstanceClose(), and XDfePrach_InstanceInit().

struct metal_io_region* XDfePrach::Io

Libmetal IO structure.

char XDfePrach::NodeName[XDFEPRACH_NODE_NAME_MAX_LENGTH]

Node name storage.

Referenced by XDfePrach_InstanceClose(), and XDfePrach_InstanceInit().

s32 XDfePrach::NotUsedCCID[XDFEPRACH_BAND_ID_MAX]

Storage for 'Not used CCID' value.

Referenced by XDfePrach_Initialize().

u32 XDfePrach::SequenceLength[XDFEPRACH_BAND_ID_MAX]

Sequence length 'storage'.

Referenced by XDfePrach_GetEmptyCCCfg(), and XDfePrach_Initialize().

XDfePrach_StateId XDfePrach::StateId

State machine state Id.

Referenced by XDfePrach_Activate(), XDfePrach_AddCCtoCCCfg(), XDfePrach_AddCCtoCCCfgMB(), XDfePrach_AddRCtoRCCfg(), XDfePrach_AddRCtoRCCfgDynamic(), XDfePrach_AddRCtoRCCfgMB(), XDfePrach_AddRCtoRCCfgMBDynamic(), XDfePrach_ClearStatus(), XDfePrach_Configure(), XDfePrach_Deactivate(), XDfePrach_GetStateID(), XDfePrach_GetStatus(), XDfePrach_GetTriggersCfg(), XDfePrach_GetVersions(), XDfePrach_Initialize(), XDfePrach_InstanceClose(), XDfePrach_InstanceInit(), XDfePrach_MoveRC(), XDfePrach_RemoveRCfromRCCfg(), XDfePrach_Reset(), XDfePrach_SetTriggersCfg(), XDfePrach_SetTUserDelay(), XDfePrach_SetTUserDelayMB(), XDfePrach_UpdateRCinRCCfg(), and XDfePrach_UpdateRCinRCCfgMB().